/**
 * PromQL工具类
 * @date 2021-09-13 13:37:53
 * @author 吴锋霖
 */
declare class PromQLUtils {
    /**
     * 构建当前指标PromQL 查询语句
     * @param namespace 命名空间
     * @param podId K8S POD ID
     * @param metric 查询指标
     */
    static buildInstantPromQL(namespace: string, podId: string, metric: string): string;
    /**
      * 构建范围值指标PromQL 查询语句
      * @param namespace 命名空间
      * @param podId K8S POD ID
      * @param metric 查询指标
      */
    static buildRangePromQL(namespace: string, podId: string, metric: string): string;
    static epochSecond(date?: Date): number;
}
export { PromQLUtils };
